{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "AFFECTE_DEFENSE"; 
            externalType = VARCHAR2; 
            name = affecteDefense; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CIR_D_CERTIFICATION"; 
            externalType = DATE; 
            name = cirDCertification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CIR_D_COMPLETUDE"; 
            externalType = DATE; 
            name = cirDCompletude; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CIR_D_VERIFICATION"; 
            externalType = DATE; 
            name = cirDVerification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_LOGE"; 
            externalType = VARCHAR2; 
            name = cLoge; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_SITUATION_FAMILLE"; 
            externalType = DATE; 
            name = dSituationFamille; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_MINISTERE"; 
            externalType = NUMBER; 
            name = idMinistere; 
            precision = 8; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NB_ENFANTS"; 
            externalType = NUMBER; 
            name = nbEnfants; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NB_ENFANTS_A_CHARGE"; 
            externalType = NUMBER; 
            name = nbEnfantsACharge; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_EPICEA"; 
            externalType = VARCHAR2; 
            name = noEpicea; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_INDIVIDU_URGENCE"; 
            externalType = NUMBER; 
            name = noIndividuUrgence; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_MATRICULE"; 
            externalType = VARCHAR2; 
            name = noMatricule; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            allowsNull = Y; 
            columnName = NPC; 
            externalType = VARCHAR2; 
            name = npc; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = NUMEN; 
            externalType = VARCHAR2; 
            name = numen; 
            valueClassName = NSString; 
            valueType = S; 
            width = 13; 
        }, 
        {
            columnName = "tem_Budget_Etat"; 
            externalType = VARCHAR2; 
            name = temBudgetEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_IMPOSABLE"; 
            externalType = VARCHAR2; 
            name = temImposable; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_PAIE_SECU"; 
            externalType = VARCHAR2; 
            name = temPaieSecu; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_TITULAIRE"; 
            externalType = VARCHAR2; 
            name = temTitulaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TXT_LIBRE"; 
            externalType = VARCHAR2; 
            name = txtLibre; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }
    ); 
    attributesUsedForLocking = (
        cStructure, 
        idMinistere, 
        noDossierPers, 
        noEpicea, 
        noIndividuUrgence, 
        noMatricule, 
        npc, 
        numen
    ); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EOPersonnel"; 
    classProperties = (
        affecteDefense, 
        cirDCertification, 
        cirDCompletude, 
        cirDVerification, 
        cLoge, 
        cStructure, 
        dCreation, 
        dModification, 
        dSituationFamille, 
        idMinistere, 
        nbEnfants, 
        nbEnfantsACharge, 
        noDossierPers, 
        noEpicea, 
        noIndividuUrgence, 
        noMatricule, 
        npc, 
        numen, 
        temBudgetEtat, 
        temImposable, 
        temPaieSecu, 
        temTitulaire, 
        toIndividu, 
        txtLibre
    ); 
    externalName = "GRHUM.PERSONNEL_ULR"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            affecteDefense, 
            cirDCertification, 
            cirDCompletude, 
            cirDVerification, 
            cLoge, 
            cStructure, 
            dCreation, 
            dModification, 
            dSituationFamille, 
            idMinistere, 
            nbEnfants, 
            nbEnfantsACharge, 
            noEpicea, 
            noIndividuUrgence, 
            noMatricule, 
            npc, 
            numen, 
            temBudgetEtat, 
            temImposable, 
            temPaieSecu, 
            temTitulaire, 
            txtLibre
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktlpersonne.common.metier.EOPersonnel"; 
    }; 
    name = "Fwkpers_Personnel"; 
    primaryKeyAttributes = (noDossierPers); 
    relationships = (
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = "Fwkpers_Individu"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = toIndividu; 
        }
    ); 
}
